Package org.eclipse.graphiti.features.context

# Interface IMultiDeleteInfo

All Known Implementing Classes:
  `MultiDeleteInfo`

public interface IMultiDeleteInfo
The Interface IMultiDeleteInfo.

Since:
  0.8

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumber()`
Returns the number of elements which are selected for deletion.
`boolean`
`isDeleteCanceled()`
Returns the state whether delete has been canceled or not.
`boolean`
`isShowDialog()`
Returns whether a dialog can be shown or should be suppressed.
`void`
`setDeleteCanceled(boolean deleteCanceled)`
Sets the state whether delete has been canceled or not.
`void`
`setShowDialog(boolean showDialog)`
Sets whether a dialog can be shown or should be suppressed.

## Method Details

### isShowDialog

boolean isShowDialog()
Returns whether a dialog can be shown or should be suppressed.

Returns:
  TRUE, a dialog can be shown

### setShowDialog

void setShowDialog(boolean showDialog)
Sets whether a dialog can be shown or should be suppressed.

Parameters:
  `showDialog` - TRUE, a dialog can be shown

### isDeleteCanceled

boolean isDeleteCanceled()
Returns the state whether delete has been canceled or not.

Returns:
  TRUE if delete canceled; FALSE in all other cases

### setDeleteCanceled

void setDeleteCanceled(boolean deleteCanceled)
Sets the state whether delete has been canceled or not.

Parameters:
  `deleteCanceled` - TRUE, if delete canceled; FALSE in all other cases

### getNumber

int getNumber()
Returns the number of elements which are selected for deletion.

Returns:
  the number of selected elements